from pathlib import Path

from PIL import Image


def x_line(img, y):
    x = 0
    for _ in range(4):
        for _ in range(10):
            img.putpixel((x, y), (120, 120, 120, 255))
            x += 1
        for _ in range(30):
            x += 12
            for _ in range(4):
                img.putpixel((x, y), (120, 120, 120, 255))
                x += 1
        x += 12
        for _ in range(10):
            img.putpixel((x, y), (120, 120, 120, 255))
            x += 1


def full_x_line(img, y):
    for x in range(2048):
        img.putpixel((x, y), (120, 120, 120, 255))

if __name__ == '__main__':
    img = Image.new('RGBA', (2048, 2048), color=(0, 0, 0, 0))
    x = 0
    y = 0

    for _ in range(4):
        for _ in range(6):
            full_x_line(img, y)
            y += 1
        for _ in range(25):
            for _ in range(16):
                x_line(img, y)
                y += 1
            for _ in range(4):
                full_x_line(img, y)
                y += 1
        for _ in range(6):
            full_x_line(img, y)
            y += 1

    img.save(Path("new_grid.png"))
